%define major 0.10
%define gstreamer   gstreamer
%define _pygtk		2.6.3
%define _gst		0.10.2

Name: python-module-gst
Version: %major.7
Release: alt0.1
Summary: Python bindings for GStreamer

Group: Development/Python
License: LGPL
Url: http://gstreamer.freedesktop.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://gstreamer.freedesktop.org/src/gst-python/gst-python-%version.tar.bz2

#BuildRequires: %gstreamer-devel >= %_gst
#BuildRequires: %gstreamer-plugins-base-devel >= %_gst

# sigh, libtool
#BuildRequires: gcc-c++

Provides: gst-python

%setup_python_module gst

# Automatically added by buildreq on Thu Sep 21 2006
BuildRequires: gcc-c++ glibc-devel-static gst-plugins-devel linux-libc-headers python-dev python-module-pygobject-devel python-modules-encodings valgrind

BuildRequires: python-module-pygtk-devel

%description
This module contains a wrapper that allows GStreamer applications
to be written in Python.

%prep
%setup -q -n gst-python-%version

%build
%configure
%make_build

%install
%makeinstall
find %buildroot -type f -name "*.la" -exec rm -f {} ';'

%files
%doc AUTHORS ChangeLog NEWS README
%python_sitelibdir/*
%_datadir/gst-python
%_pkgconfigdir/gst-python-%major.pc

%changelog
* Sun Feb 04 2007 Vitaly Lipatov <lav@altlinux.ru> 0.10.7-alt0.1
- new version 0.10.7 (with rpmrb script)

* Thu Sep 21 2006 Vitaly Lipatov <lav@altlinux.ru> 0.10.5-alt0.1
- new version (0.10.5)

* Mon May 08 2006 Vitaly Lipatov <lav@altlinux.ru> 0.10.4-alt0.1
- initial build for ALT Linux Sisyphus

* Tue Dec 20 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- updated spec file

* Thu Oct 06 2005 Edward Hervey < edward at fluendo dot com >
- Updated spec file for 0.9

* Fri Nov 05 2004 Christian Schaller < uraeus at gnome org >
- Remerged spec file with cvs version

* Tue Oct 12 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.93-0.fdr.1: new upstream release

* Mon Jun 21 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.92-0.fdr.1: new upstream release

* Wed Mar 31 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.91-0.fdr.1: new upstream release

* Tue Sep 02 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.1.0-0.fdr.1: first fedora release
